

namespace :devise_views_translated do

  desc "install"
  task :install  => [
    'devise_views_translated:install_views',
    'devise_views_translated:install_locales'
    ]

  desc "Copies views... to proper application directories"
  task :install_views do
    ASSETS = File.join(File.dirname(__FILE__), '..','app','views','devise')

    Dir.glob("#{ASSETS}/*").each do |folder|
     if File.directory?(folder)
        folder_name = folder.gsub(/\/.+\//, '')
        destination = File.join(Rails.root,'app','views','devise', folder_name)

        FileUtils.mkpath(destination) unless File.directory?(destination)

        Dir[File.join(folder, '/*')].select { |a| File.file?(a) }.each do |asset|
          file_to_copy = File.join(destination, '/', File.basename(asset))
          puts " - copying %s to %s" % [File.basename(asset), destination.gsub(/Rails.root/, '')]
          FileUtils.cp asset, destination
        end
    end
    end
  end

  desc "Copies locales"
  task :install_locales do
    ASSETS = File.join(File.dirname(__FILE__), '..','config','locales')

        destination = File.join(Rails.root,'config','locales')
        Dir[File.join(ASSETS, '/*')].select { |a| File.file?(a) }.each do |asset|
          puts " - copying %s to %s" % [File.basename(asset), destination.gsub(/Rails.root/, '')]
          FileUtils.cp asset, destination
        end
  end

end